Skip to main content
GET
List All Products

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Query Parameters

limit
integer<int32>
default:20

A limit on the number of objects to be returned, between 1 and 100.

Required range: 1 <= x <= 100
starting_after
string

A cursor for use in pagination. starting_after is an object id that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include starting_after=obj_foo in order to fetch the next page of the list.

ending_before
string

A cursor for use in pagination. ending_before is an object id that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj_bar, your subsequent call can include ending_before=obj_bar in order to fetch the previous page of the list.

entitlement
string

Filters list for Products by Entitlement id A unique identifier. Optionally, this object can also be identified by its vid. Using a unique custom identifier is strongly encouraged.

Maximum string length: 128
status
string

Filters list for Products in a given status

account
string

Filters list of Products by Account id or vid that have Purchased that Product A unique identifier. Optionally, this object can also be identified by its vid. Using a unique custom identifier is strongly encouraged.

Maximum string length: 128
include_children
boolean
default:false

If filtering by Account this also returns Children Accounts

Response

JSON A list array with a data property that contains an array of up to limit Products, starting after the specified starting_after Product (or ending before the specified ending_before Product). Each entry in the array is a full Product object. If no more Products are available, the resulting array will be empty. This request should never throw an error. A list of Product objects matching the query. Also:

  • “total_count”: Integer count of the number of Product in the returned list.

  • “url”: The query string provided in the request

  • “next”: The route (partial URL) to the next Product object (string to select the “next”); included vid should match that of the last object returned here

  • “previous”: The route (partial URL) to the previous Product object (string to select the “previous”); included vid should match that of the first object returned here

object
enum<string>
Available options:
List
total_count
integer

Integer count of the number of items in the returned list.

data
object[]
url
string

The query string provided in the request

next
string

The route (partial URL) to the next Product object (string to select the “next”); included id should match that of the last object returned here.

previous
string

The route (partial URL) to the previous Product object (string to select the “previous”); included id should match that of the first object returned here.